sc::RefSCDimension(3)

NAME
sc::RefSCDimension - The RefSCDimension class is a smart pointer to an SCDimension specialization.

SYNOPSIS

#include <dim.h>

Inherits sc::Ref< SCDimension >.

  Public Member Functions
RefSCDimension ()
Initializes the dimension pointer to 0.
RefSCDimension (const RefSCDimension &d)
Make this and d refer to the same SCDimension.
RefSCDimension (SCDimension *d)
Make this refer to d.
RefSCDimension & operator= (SCDimension *d)
Make this refer to d.
RefSCDimension & operator<< (RefCount *)
Assigns to the given base class pointer using dynamic_cast.
RefSCDimension & operator<< (const RefBase &)
Assignment to the object that a references using dynamic_cast.
RefSCDimension & operator= (const RefSCDimension &d)
Make this and d refer to the same SCDimension.
operator int () const
Return the dimension.
int n () const
void print (std::ostream &o=ExEnv::out0()) const

Detailed Description

The RefSCDimension class is a smart pointer to an SCDimension specialization.

Constructor & Destructor Documentation

  sc::RefSCDimension::RefSCDimension ()

Initializes the dimension pointer to 0.

The reference must be initialized before it is used.

Member Function Documentation

  RefSCDimension& sc::RefSCDimension::operator<< (RefCount * a)

Assigns to the given base class pointer using dynamic_cast.

If the dynamic_cast fails and the argument is nonnull and has a reference count of zero, then it is deleted.

Reimplemented from sc::Ref< SCDimension >.

Author

Generated automatically by Doxygen for MPQC from the source code.